| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::trontextual Class Reference

trontextual class is a contextual class tronc, that's all. More...

`#include <trontextual.hpp>`

Inherits libdar::tronc, and libdar::contextual.

## Public Member Functions
| trontextual (generic_file *f, const infinint &offset, const infinint &size, bool own_f=false)
| trontextual (generic_file *f, const infinint &offset, const infinint &size, gf_mode mode, bool own_f=false)
bool | is_an_old_start_end_archive () const
const label & | get_data_name () const
Public Member Functions inherited from libdar::tronc
| tronc (generic_file *f, const infinint &offset, const infinint &size, bool own_f=false)
| constructor More...
| tronc (generic_file *f, const infinint &offset, const infinint &size, gf_mode mode, bool own_f=false)
| tronc (generic_file *f, const infinint &offset, bool own_f=false)
| tronc (generic_file *f, const infinint &offset, gf_mode mode, bool own_f=false)
| ~tronc ()
| destructor
void | modify (const infinint &new_offset, const infinint &new_size)
| modify the tronc object to zoom on another (size limited) portion of the underlying object
void | modify (const infinint &new_offset)
| modify the tronc object to zoom on another (size unlimited) portion of the underlying object
void | modify ()
| modify the tronc object to become transparent and allow unrestricted access to the underlyuing object
bool | skippable (skippability direction, const infinint &amount)
| inherited from generic_file
bool | skip (const infinint &pos)
| inherited from generic_file
bool | skip_to_eof ()
| inherited from generic_file
bool | skip_relative (S_I x)
| inherited from generic_file
infinint | get_position () const
| inherited from generic_file
void | check_underlying_position_while_reading_or_writing (bool mode)
Public Member Functions inherited from libdar::generic_file
| generic_file (gf_mode m)
| main constructor
| generic_file (const generic_file &ref)
| copy constructor
virtual | ~generic_file () throw (Ebug)
| virtual destructor, this let inherited destructor to be called even from a generic_file pointer to an inherited class
void | terminate () const
| destructor-like call, except that it is allowed to throw exceptions
const generic_file & | operator= (const generic_file &ref)
| assignment operator
gf_mode | get_mode () const
| retreive the openning mode for this object
virtual void | read_ahead (const infinint &amount)
void | ignore_read_ahead (bool mode)
U_I | read (char *a, U_I size)
| read data from the generic_file More...
void | write (const char *a, U_I size)
| write data to the generic_file More...
void | write (const std::string &arg)
| write a string to the generic_file More...
S_I | read_back (char &a)
| skip back one char, read on char and skip back one char
S_I | read_forward (char &a)
| read one char
virtual void | copy_to (generic_file &ref)
| copy all data from current position to the object in argument
virtual void | copy_to (generic_file &ref, const infinint &crc_size, crc *&value)
| copy all data from the current position to the object in argument and computes a CRC value of the transmitted data More...
U_32 | copy_to (generic_file &ref, U_32 size)
| small copy (up to 4GB) with CRC calculation
infinint | copy_to (generic_file &ref, infinint size)
| copy the given amount to the object in argument
bool | diff (generic_file &f, const infinint &me_read_ahead, const infinint &you_read_ahead, const infinint &crc_size, crc *&value)
| compares the contents with the object in argument More...
bool | diff (generic_file &f, const infinint &me_read_ahead, const infinint &you_read_ahead, const infinint &crc_size, crc *&value, infinint &err_offset)
void | reset_crc (const infinint &width)
| reset CRC on read or writen data More...
bool | crc_status () const
| to known whether CRC calculation is activated or not
crc * | get_crc ()
| get CRC of the transfered date since last reset More...
void | sync_write ()
| write any pending data
void | flush_read ()
| be ready to read at current position, reseting all pending data for reading, cached and in compression engine for example
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Public Types inherited from libdar::generic_file
enum | skippability { skip_backward, skip_forward }
Protected Member Functions inherited from libdar::tronc
void | inherited_read_ahead (const infinint &amount)
| inherited from generic_file
U_I | inherited_read (char *a, U_I size)
| inherited from generic_file
void | inherited_write (const char *a, U_I size)
| inherited from generic_file
void | inherited_sync_write ()
| write down any pending data More...
void | inherited_flush_read ()
void | inherited_terminate ()
| destructor-like call, except that it is allowed to throw exceptions More...
Protected Member Functions inherited from libdar::generic_file
void | set_mode (gf_mode x)
bool | is_terminated () const
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

trontextual class is a contextual class tronc, that's all.

Definition at line 40 of file trontextual.hpp.

The documentation for this class was generated from the following file:

- trontextual.hpp